"use strict";
var __classPrivateFieldSet = (this && this.__classPrivateFieldSet) || function (receiver, state, value, kind, f) {
    if (kind === "m") throw new TypeError("Private method is not writable");
    if (kind === "a" && !f) throw new TypeError("Private accessor was defined without a setter");
    if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver)) throw new TypeError("Cannot write private member to an object whose class did not declare it");
    return (kind === "a" ? f.call(receiver, value) : f ? f.value = value : state.set(receiver, value)), value;
};
var __classPrivateFieldGet = (this && this.__classPrivateFieldGet) || function (receiver, state, kind, f) {
    if (kind === "a" && !f) throw new TypeError("Private accessor was defined without a getter");
    if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver)) throw new TypeError("Cannot read private member from an object whose class did not declare it");
    return kind === "m" ? f : kind === "a" ? f.call(receiver) : f ? f.value : state.get(receiver);
};
var _Chunk_inner_chunk, _Chunk_inner_compilation;
Object.defineProperty(exports, "__esModule", { value: true });
exports.Chunk = void 0;
const binding_1 = require("@rspack/binding");
class Chunk {
    static __from_binding(chunk, compilation) {
        return new Chunk(chunk, compilation);
    }
    // Should not construct by user
    constructor(chunk, compilation) {
        _Chunk_inner_chunk.set(this, void 0);
        _Chunk_inner_compilation.set(this, void 0);
        __classPrivateFieldSet(this, _Chunk_inner_chunk, chunk, "f");
        __classPrivateFieldSet(this, _Chunk_inner_compilation, compilation, "f");
        this.name = chunk.name;
        this.id = chunk.id;
        this.ids = chunk.ids;
        this.idNameHints = chunk.idNameHints;
        this.filenameTemplate = chunk.filenameTemplate;
        this.cssFilenameTemplate = chunk.cssFilenameTemplate;
        this.files = chunk.files;
        this.runtime = chunk.runtime;
        this.hash = chunk.hash;
        this.contentHash = chunk.contentHash;
        this.renderedHash = chunk.renderedHash;
        this.chunkReasons = chunk.chunkReasons;
        this.auxiliaryFiles = chunk.auxiliaryFiles;
    }
    isOnlyInitial() {
        return (0, binding_1.__chunk_inner_is_only_initial)(__classPrivateFieldGet(this, _Chunk_inner_chunk, "f"), __classPrivateFieldGet(this, _Chunk_inner_compilation, "f"));
    }
    canBeInitial() {
        return (0, binding_1.__chunk_inner_can_be_initial)(__classPrivateFieldGet(this, _Chunk_inner_chunk, "f"), __classPrivateFieldGet(this, _Chunk_inner_compilation, "f"));
    }
    hasRuntime() {
        return (0, binding_1.__chunk_inner_has_runtime)(__classPrivateFieldGet(this, _Chunk_inner_chunk, "f"), __classPrivateFieldGet(this, _Chunk_inner_compilation, "f"));
    }
}
exports.Chunk = Chunk;
_Chunk_inner_chunk = new WeakMap(), _Chunk_inner_compilation = new WeakMap();
